Author Topic: Package 3.8.9 10514 throws an error when sending order  (Read 1441 times)

arcturus

  • Jr. Member
  • **
  • Posts: 119
  • VirtueMart Version: 3.8.9 10514
Package 3.8.9 10514 throws an error when sending order
« on: July 05, 2021, 17:47:00 pm »
Hello everyone,

I noticed that the 3.8.9 10514 version of VM throws an error right when confirming/sending the order.

Code: [Select]
Call to a member function setConvertDecimal() on int
The temporary solution I found is replacing the 4 files modified here http://dev.virtuemart.net/projects/virtuemart/repository/revisions/10514 with their previous versions. It still throws errors, but at least it works.
Cheers,
George
https://www.proxima-mundi.ro

Currentl using Joomla! 3.9.28 and VM 3.8.9 10514 on PHP 7.4

sirius

  • Jr. Member
  • **
  • Posts: 132
    • OCTeam
  • VirtueMart Version: 3.8.6
Re: Package 3.8.9 10514 throws an error when sending order
« Reply #1 on: July 16, 2021, 18:48:06 pm »
Hi

I confirm this bug on 3.8.9 10514
J3.10.2 | PHP 7.4.24 + APC + Opcode
VM Prod : 3.8.6 | VM Test : 3.8.9

LeandroM

  • Beginner
  • *
  • Posts: 2
  • A beginner
Re: Package 3.8.9 10514 throws an error when sending order
« Reply #2 on: August 03, 2021, 21:19:38 pm »
I´m facing this issue in my website, did this bug is already solved?

sirius

  • Jr. Member
  • **
  • Posts: 132
    • OCTeam
  • VirtueMart Version: 3.8.6
Re: Package 3.8.9 10514 throws an error when sending order
« Reply #3 on: August 25, 2021, 10:14:20 am »
I suppose that Révision 10521 and Révision 10522 could be related to this issue.
Just waiting for the new package to test it.
J3.10.2 | PHP 7.4.24 + APC + Opcode
VM Prod : 3.8.6 | VM Test : 3.8.9

GJC Web Design

  • 3rd party VirtueMart Developer
  • Super Hero
  • *
  • Posts: 10300
  • Virtuemart, Joomla & php developer
    • GJC Web Design
  • VirtueMart Version: 3.6.8
Re: Package 3.8.9 10514 throws an error when sending order
« Reply #4 on: August 25, 2021, 17:15:26 pm »
Quote
I´m facing this issue in my website, did this bug is already solved?

I hope u mean your test site?  odd numbered releases like 3.8.9 are NOT intended for production .. they are pre releases
GJC Web Design
VirtueMart and Joomla Developers - php developers http://www.gjcwebdesign.com
VM3 AusPost Shipping Plugin - e-go Shipping Plugin - VM3 Postcode Shipping Plugin - Radius Shipping Plugin - VM3 NZ Post Shipping Plugin - AusPost Estimator
Samport Payment Plugin - EcomMerchant Payment Plugin - ccBill payment Plugin
VM2 Product Lock Extension - VM2 Preconfig Adresses Extension - TaxCloud USA Taxes Plugin - Virtuemart  Product Review Component
http://extensions.joomla.org/profile/profile/details/67210
Contact for any VirtueMart or Joomla development & customisation

sirius

  • Jr. Member
  • **
  • Posts: 132
    • OCTeam
  • VirtueMart Version: 3.8.6
Re: Package 3.8.9 10514 throws an error when sending order
« Reply #5 on: September 24, 2021, 11:09:23 am »
Does someone already test the last com_virtuemart.3.8.9.10544 to see if this bug is fixed ?
J3.10.2 | PHP 7.4.24 + APC + Opcode
VM Prod : 3.8.6 | VM Test : 3.8.9